<style type="text/css">
		<!--
		A:link        {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:visited     {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:hover       {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: underline; color: #FF0000}
		th            {font-family: helvetica, arial; color : blue; font-size:85%; background : lightgrey; border-right:black solid 1pt; border-bottom:black solid 1pt;}
		//-->
		</style><hr><a name="_C_GROUPBARPLOT"><div style="background-color:yellow;font-family:courier new;"></a>CLASS <b>GroupBarPlot</b> EXTENDS <a href="BarPlot.html#_C_BARPLOT" style="font-face:arial;font-weight:bold;">BarPlot</a></div>
<i>(Defined in: jpgraph_bar.php : 530)</i><table border=1><tr><td>&nbsp;<a href="GroupBarPlot.html" style="font-family:arial;font-weight:bold;color:darkblue;">GroupBarPlot</a>&nbsp;</td><td>&nbsp;<a href="BarPlot.html" style="font-family:arial;font-weight:bold;color:darkblue;">BarPlot</a>&nbsp;</td><td>&nbsp;<a href="Plot.html" style="font-family:arial;font-weight:bold;color:darkblue;">Plot</a>&nbsp;</td></tr><tr><td valign=top>&nbsp;<a href="GroupBarPlot.html#_GROUPBARPLOT_GROUPBARPLOT">GroupBarPlot()</a>&nbsp;<br>
</td><td valign=top>&nbsp;<a href="BarPlot.html#_BARPLOT_BARPLOT">BarPlot()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETABSWIDTH">SetAbsWidth()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETALIGN">SetAlign()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETFILLCOLOR">SetFillColor()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETFILLGRADIENT">SetFillGradient()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETNOFILL">SetNoFill()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETPATTERN">SetPattern()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETSHADOW">SetShadow()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETVALUEPOS">SetValuePos()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETWIDTH">SetWidth()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETYBASE">SetYBase()</a>&nbsp;<br>
&nbsp;<a href="BarPlot.html#_BARPLOT_SETYMIN">SetYMin()</a>&nbsp;<br>
</td><td valign=top>&nbsp;<a href="Plot.html#_PLOT_HIDELEGEND">HideLegend()</a>&nbsp;<br>
&nbsp;<a href="Plot.html#_PLOT_SETCENTER">SetCenter()</a>&nbsp;<br>
&nbsp;<a href="Plot.html#_PLOT_SETCOLOR">SetColor()</a>&nbsp;<br>
&nbsp;<a href="Plot.html#_PLOT_SETCSIMTARGETS">SetCSIMTargets()</a>&nbsp;<br>
&nbsp;<a href="Plot.html#_PLOT_SETLEGEND">SetLegend()</a>&nbsp;<br>
&nbsp;<a href="Plot.html#_PLOT_SETLINEWEIGHT">SetLineWeight()</a>&nbsp;<br>
</td></tr></table>&nbsp;<p><div style="font-weight:bold;font-family:arial;font-size:100%;">Class usage and Overview</div>A group bar plot has several bars side by side for each X-label. The group bar is constructed from any number of ordinary bar graphs.

For example:
<code>
$b1 = new BarPlot(...);
$b2 = new BarPlot(...);

$gb = new GroupBarPlot(array($b1,$b2));
...
$graph->Add($gb);
...
</code>

Each individual bar can be either a BarPlor or an AccBarPlot.
 <p> &nbsp;
<hr><span style="font-family:arial;font-size:120%;font-weight:bold;">Class Methods</span><hr><p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_GROUPBARPLOT_GROUPBARPLOT"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">GroupBarPlot</font><font color="#007700">(</font><font color="#0000BB">$plots</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Create a new Group bar plot</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$plots</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Array of individual plots</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Create a new Group bar plot from a number of BarPlot or AccBarPlot plots.&nbsp;<br>
 &nbsp; <div style="font-weight:bold;font-family:arial;font-size:85%;">See also</div><a href="AccBarPlot.html#_ACCBARPLOT_ACCBARPLOT">AccBarPlot::AccBarPlot</a> and <a href="BarPlot.html#_BARPLOT_BARPLOT">BarPlot::BarPlot</a>
<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$b1&nbsp;</font><font color="#007700">=&nbsp;new&nbsp;</font><font color="#0000BB">BarPlot</font><font color="#007700">(...);<br /></font><font color="#0000BB">$b2&nbsp;</font><font color="#007700">=&nbsp;new&nbsp;</font><font color="#0000BB">BarPlot</font><font color="#007700">(...);<br /><br /></font><font color="#0000BB">$gb&nbsp;</font><font color="#007700">=&nbsp;new&nbsp;</font><font color="#0000BB">GroupBarPlot</font><font color="#007700">(array(</font><font color="#0000BB">$b1</font><font color="#007700">,</font><font color="#0000BB">$b2</font><font color="#007700">));<br />...<br /></font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">Add</font><font color="#007700">(</font><font color="#0000BB">$gb</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p> <hr> <p>